org.apache.fop.afp.modca

## Class MapCodedFont

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.AbstractStructuredObject
    - - org.apache.fop.afp.modca.MapCodedFont

All Implemented Interfaces:
  Streamable

    public class MapCodedFont
    extends AbstractStructuredObject

The Map Coded Font structured field maps a unique coded font resource local ID, which may be embedded one or more times within an object's data and descriptor, to the identifier of a coded font resource object. Additionally, the Map Coded Font structured field specifies a set of resource attributes for the coded font.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`AbstractAFPObject.Category, AbstractAFPObject.Type`

### Field Summary

### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`LOG, SF_CLASS, SF_HEADER_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`MapCodedFont()` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFont(int fontReference, AFPFont font, int size, int orientation)` Add a font definition on the the map coded font object.
`void` `writeToStream(OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

### Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject

`writeContent, writeEnd, writeStart`

### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`copySF, copySF, truncate, writeChunksToStream, writeObjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MapCodedFont

    public MapCodedFont()

Main constructor

### Method Detail

#### writeToStream

    public void writeToStream(OutputStream os)
                       throws IOException

DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Specified by:
  `writeToStream` in interface `Streamable`
Overrides:
  `writeToStream` in class `AbstractStructuredObject`
Parameters:
  `os` - the outputsteam stream
Throws:
  `IOException` - an I/O exception of some sort has occurred.

#### addFont

    public void addFont(int fontReference,
                        AFPFont font,
                        int size,
                        int orientation)
                 throws MaximumSizeExceededException

Add a font definition on the the map coded font object.

Parameters:
  `fontReference` - the font number used as the resource identifier
  `font` - the font
  `size` - the size of the font
  `orientation` - the orientation of the font
Throws:
  `MaximumSizeExceededException` - if the maximum number of fonts have been exceeded